<?php

$car_auto_parts_tp_theme_css = '';

$car_auto_parts_tp_color_option = get_theme_mod('car_auto_parts_tp_color_option');

// 1st color
$car_auto_parts_tp_color_option = get_theme_mod('car_auto_parts_tp_color_option', '#F90026');
if ($car_auto_parts_tp_color_option) {
	$car_auto_parts_tp_theme_css .= ':root {';
	$car_auto_parts_tp_theme_css .= '--color-primary1: ' . esc_attr($car_auto_parts_tp_color_option) . ';';
	$car_auto_parts_tp_theme_css .= '}';
}

//preloader
$car_auto_parts_tp_preloader_color1_option = get_theme_mod('car_auto_parts_tp_preloader_color1_option');
$car_auto_parts_tp_preloader_color2_option = get_theme_mod('car_auto_parts_tp_preloader_color2_option');
$car_auto_parts_tp_preloader_bg_color_option = get_theme_mod('car_auto_parts_tp_preloader_bg_color_option');

if($car_auto_parts_tp_preloader_color1_option != false){
$car_auto_parts_tp_theme_css .='.center1{';
	$car_auto_parts_tp_theme_css .='border-color: '.esc_attr($car_auto_parts_tp_preloader_color1_option).' !important;';
$car_auto_parts_tp_theme_css .='}';
}
if($car_auto_parts_tp_preloader_color1_option != false){
$car_auto_parts_tp_theme_css .='.center1 .ring::before{';
	$car_auto_parts_tp_theme_css .='background: '.esc_attr($car_auto_parts_tp_preloader_color1_option).' !important;';
$car_auto_parts_tp_theme_css .='}';
}
if($car_auto_parts_tp_preloader_color2_option != false){
$car_auto_parts_tp_theme_css .='.center2{';
	$car_auto_parts_tp_theme_css .='border-color: '.esc_attr($car_auto_parts_tp_preloader_color2_option).' !important;';
$car_auto_parts_tp_theme_css .='}';
}
if($car_auto_parts_tp_preloader_color2_option != false){
$car_auto_parts_tp_theme_css .='.center2 .ring::before{';
	$car_auto_parts_tp_theme_css .='background: '.esc_attr($car_auto_parts_tp_preloader_color2_option).' !important;';
$car_auto_parts_tp_theme_css .='}';
}
if($car_auto_parts_tp_preloader_bg_color_option != false){
$car_auto_parts_tp_theme_css .='.loader{';
	$car_auto_parts_tp_theme_css .='background: '.esc_attr($car_auto_parts_tp_preloader_bg_color_option).';';
$car_auto_parts_tp_theme_css .='}';
}

// footer-bg-color
$car_auto_parts_tp_footer_bg_color_option = get_theme_mod('car_auto_parts_tp_footer_bg_color_option');

if($car_auto_parts_tp_footer_bg_color_option != false){
$car_auto_parts_tp_theme_css .='#footer{';
	$car_auto_parts_tp_theme_css .='background: '.esc_attr($car_auto_parts_tp_footer_bg_color_option).' !important;';
$car_auto_parts_tp_theme_css .='}';
}

// logo tagline color
$car_auto_parts_site_tagline_color = get_theme_mod('car_auto_parts_site_tagline_color');

if($car_auto_parts_site_tagline_color != false){
$car_auto_parts_tp_theme_css .='.logo h1 a, .logo p a{';
$car_auto_parts_tp_theme_css .='color: '.esc_attr($car_auto_parts_site_tagline_color).';';
$car_auto_parts_tp_theme_css .='}';
}

$car_auto_parts_logo_tagline_color = get_theme_mod('car_auto_parts_logo_tagline_color');
if($car_auto_parts_logo_tagline_color != false){
$car_auto_parts_tp_theme_css .='p.site-description{';
$car_auto_parts_tp_theme_css .='color: '.esc_attr($car_auto_parts_logo_tagline_color).';';
$car_auto_parts_tp_theme_css .='}';
}

// footer widget title color
$car_auto_parts_footer_widget_title_color = get_theme_mod('car_auto_parts_footer_widget_title_color');
if($car_auto_parts_footer_widget_title_color != false){
$car_auto_parts_tp_theme_css .='#footer h3, #footer h2.wp-block-heading{';
$car_auto_parts_tp_theme_css .='color: '.esc_attr($car_auto_parts_footer_widget_title_color).';';
$car_auto_parts_tp_theme_css .='}';
}

// copyright text color
$car_auto_parts_footer_copyright_text_color = get_theme_mod('car_auto_parts_footer_copyright_text_color');
if($car_auto_parts_footer_copyright_text_color != false){
$car_auto_parts_tp_theme_css .='#footer .site-info p, #footer .site-info a {';
$car_auto_parts_tp_theme_css .='color: '.esc_attr($car_auto_parts_footer_copyright_text_color).';';
$car_auto_parts_tp_theme_css .='}';
}

// header image title color
$car_auto_parts_header_image_title_text_color = get_theme_mod('car_auto_parts_header_image_title_text_color');
if($car_auto_parts_header_image_title_text_color != false){
$car_auto_parts_tp_theme_css .='.box-text h2{';
$car_auto_parts_tp_theme_css .='color: '.esc_attr($car_auto_parts_header_image_title_text_color).';';
$car_auto_parts_tp_theme_css .='}';
}

// menu color
$car_auto_parts_menu_color = get_theme_mod('car_auto_parts_menu_color');
if($car_auto_parts_menu_color != false){
$car_auto_parts_tp_theme_css .='.main-navigation a{';
$car_auto_parts_tp_theme_css .='color: '.esc_attr($car_auto_parts_menu_color).';';
$car_auto_parts_tp_theme_css .='}';
}


//Footer Font Weight
$car_auto_parts_footer_copyright_title_font_weight = get_theme_mod( 'car_auto_parts_footer_copyright_title_font_weight','');
if($car_auto_parts_footer_copyright_title_font_weight == '100'){
$car_auto_parts_tp_theme_css .='#footer .site-info p {';
    $car_auto_parts_tp_theme_css .='font-weight: 100;';
$car_auto_parts_tp_theme_css .='}';
}else if($car_auto_parts_footer_copyright_title_font_weight == '200'){
$car_auto_parts_tp_theme_css .='#footer .site-info p {';
    $car_auto_parts_tp_theme_css .='font-weight: 200;';
$car_auto_parts_tp_theme_css .='}';
}else if($car_auto_parts_footer_copyright_title_font_weight == '300'){
$car_auto_parts_tp_theme_css .='#footer .site-info p {';
    $car_auto_parts_tp_theme_css .='font-weight: 300;';
$car_auto_parts_tp_theme_css .='}';
}else if($car_auto_parts_footer_copyright_title_font_weight == '400'){
$car_auto_parts_tp_theme_css .='#footer .site-info p {';
    $car_auto_parts_tp_theme_css .='font-weight: 400;';
$car_auto_parts_tp_theme_css .='}';
}else if($car_auto_parts_footer_copyright_title_font_weight == '500'){
$car_auto_parts_tp_theme_css .='#footer .site-info p {';
    $car_auto_parts_tp_theme_css .='font-weight: 500;';
$car_auto_parts_tp_theme_css .='}';
}else if($car_auto_parts_footer_copyright_title_font_weight == '600'){
$car_auto_parts_tp_theme_css .='#footer .site-info p {';
    $car_auto_parts_tp_theme_css .='font-weight: 600;';
$car_auto_parts_tp_theme_css .='}';
}else if($car_auto_parts_footer_copyright_title_font_weight == '700'){
$car_auto_parts_tp_theme_css .='#footer .site-info p {';
    $car_auto_parts_tp_theme_css .='font-weight: 700;';
$car_auto_parts_tp_theme_css .='}';
}else if($car_auto_parts_footer_copyright_title_font_weight == '800'){
$car_auto_parts_tp_theme_css .='#footer .site-info p {';
    $car_auto_parts_tp_theme_css .='font-weight: 800;';
$car_auto_parts_tp_theme_css .='}';
}else if($car_auto_parts_footer_copyright_title_font_weight == '900'){
$car_auto_parts_tp_theme_css .='#footer .site-info p {';
    $car_auto_parts_tp_theme_css .='font-weight: 900;';
$car_auto_parts_tp_theme_css .='}';
}